rte_meter_trtcm_rfc4115(3)

NAME
rte_meter_trtcm_rfc4115

SYNOPSIS

#include <rte_meter.h>

  Data Fields

uint64_t time_tc
uint64_t time_te
uint64_t tc
uint64_t te

Detailed Description

Internal data structure storing the trTCM RFC4115 run-time context per metered traffic flow.

Definition at line 384 of file rte_meter.h.

Field Documentation

  uint64_t time_tc
Time of latest update of C token bucket

Definition at line 385 of file rte_meter.h.

  uint64_t time_te
Time of latest update of E token bucket

Definition at line 387 of file rte_meter.h.

  uint64_t tc
Number of bytes currently available in committed(C) token bucket

Definition at line 389 of file rte_meter.h.

  uint64_t te
Number of bytes currently available in the excess(E) token bucket

Definition at line 391 of file rte_meter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.